Subject: bug#11971: closed (Re: bug#11971: Emacs 24.1 fails to build on ia64 with "value as variable is void")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Feb 2014 00:02:03 +0000

Your bug report

#11971: Emacs 24.1 fails to build on ia64 with "value as variable is void"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11971: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11971
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11971: Emacs 24.1 fails to build on ia64 with "value as variable is void"
From: Lars Ingebrigtsen <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], Andreas Schwab <[email-masked]>, Rob Browning <[email-masked]>
Date: Sun, 02 Feb 2014 16:00:22 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

> Andreas Schwab wrote:
>
>> Glenn Morris <[email-masked]> writes:
>>
>>> Sure. But if the problem occurs on many/most ia64 platforms, obviously
>>> we should change the default to the conservative one. Or is there
>>> something unusual about the Debian one?
>>
>> Maybe the bug has been fixed already, I couldn't reproduce it with
>> current trunk.
>
> Rob, could you try the latest pretest from
>
> http://alpha.gnu.org/gnu/emacs/pretest/
>
> on ia64 and see if it works unmodified?
>
> (It would be super-awesome if you could test it on _all_ the Debian archs.
> Is this what experimental is for?)

More information was requested a year ago, and there are other reports
that this is working now, so I'm closing this bug report.  If this is
still a problem, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

Subject: Emacs 24.1 fails to build on ia64 with "value as variable is void"
From: Rob Browning <[email-masked]>
To: [email-masked]
Date: Tue, 17 Jul 2012 23:05:39 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Here's another unusual build failure.  This time on Debian Wheezy ia64:

  Compiling /build/buildd-emacs24_24.1+1-3-ia64-1WcbZW/emacs24-24.1+1/debian/build-x/lisp/progmodes/cc-fonts.el

  In toplevel form:
  progmodes/cc-fonts.el:76:27:Error: Symbol's value as variable is void: quote
  make[4]: *** [/build/buildd-emacs24_24.1+1-3-ia64-1WcbZW/emacs24-24.1+1/debian/build-x/lisp/progmodes/cc-fonts.elc] Error 1
  make[4]: *** Waiting for unfinished jobs....

  https://buildd.debian.org/status/fetch.php?pkg=emacs24&arch=ia64&ver=24.1%2B1-3&stamp=1342582280

Does that look familiar?

I think we probably have an ia64 porterbox, so I should be able to do
some testing when I get time.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4